Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 11 Jun 2022 11:34:33 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Worst experience I have ever had, from an extremely slow app, uncooperative customer service and late delivery.

Now I want to return items that don't fit and the driver called me on June 4th and asks for the location i sent him the location on whatspp and he never showed up, I have been calling him everyday he says he will pick them and never shows up.

I really don't understand what kind of service are you offering by far this is the worst I had and if this isn't resolved internally within the next couple of days I'm gonna escalate to the consumer protection of Dubai!!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4468213